Bug 287472 - [KDE 4.8 Beta 1] Lack of entry resolution in Nepomuk. Regression!
Summary: [KDE 4.8 Beta 1] Lack of entry resolution in Nepomuk. Regression!
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 1.6.1
Platform: Unlisted Binaries Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
: 287139 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-11-24 16:01 UTC by Alejandro Nova
Modified: 2011-11-26 03:49 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro Nova 2011-11-24 16:01:42 UTC
Version:           git master
OS:                Linux

I noticed in KDE 4.8 a constant lack of entry resolution in Nepomuk.

1. Files displayed with the Nepomuk start page in Dolphin look like this:
file_3A_2F_2F_2Fhome_2Fphoebus_2FBiblioteca_2520de_2520calibre_2FDesconocido_2FDTO-2226_2520_287_29

They must display their proper path.

2. I can't open mail (bug 287470), maybe, because of this lack of resource resolution.

3. I can't see contacts properly (bug 287259 , however, unlike the others, this is not a regression)

Posting this as a kind of metabug. This triggers additional bugs and must be investigated.

Reproducible: Always

Steps to Reproduce:
Try to use Nepomuk in any form, in KDE 4.8.

Actual Results:  
You get the raw Nepomuk address, without reencoding. If program can't use the address without reencoding, operations fail.

Expected Results:  
You get human-readable results. After all, that's what Nepomuk is about.
Comment 1 Sebastian Trueg 2011-11-25 15:09:20 UTC
Although this is a Dolphin but: already fixed in review request https://git.reviewboard.kde.org/r/103237/. Only waiting for the ok.
Comment 2 Sebastian Trueg 2011-11-25 15:39:48 UTC
Git commit 37241dbda0078f7a0ef3dec7c79cff71f3096c7c by Sebastian Trueg.
Committed on 25/11/2011 at 16:02.
Pushed by trueg into branch 'master'.

Use KFileItem::text() instead of KFileItem::name().

This way Nepomuk search results get their proper user readable names.
BUG: 287472
REVIEW: 103237

M  +2    -2    dolphin/src/dolphinviewcontainer.cpp
M  +1    -1    dolphin/src/kitemviews/kfileitemmodel.cpp
M  +1    -1    dolphin/src/views/dolphinview.cpp

http://commits.kde.org/kde-baseapps/37241dbda0078f7a0ef3dec7c79cff71f3096c7c
Comment 3 Weng Xuetian 2011-11-26 03:49:49 UTC
*** Bug 287139 has been marked as a duplicate of this bug. ***